> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Update invoice external IDs

PATCH https://integrators.prod.api.tabsplatform.com/v3/customers/{id}/invoices/{invoiceId}/external-ids
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/customers/updateInvoiceExternalIds

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/customers/{id}/invoices/{invoiceId}/external-ids:
    patch:
      operationId: integrators-api-customers-controller-update-invoice-external-ids
      summary: Update invoice external IDs
      tags:
        - customers
      parameters:
        - name: id
          in: path
          description: Customer Id
          required: true
          schema:
            type: string
        - name: invoiceId
          in: path
          description: Invoice Id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Updated invoice external IDs
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Customers_IntegratorsApiCustomersController_updateInvoiceExternalIds_Response_200
        '404':
          description: Invoice not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateInvoiceExternalIdsDto'
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    ExternalIdSourceType:
      type: string
      enum:
        - QUICKBOOKS
        - NETSUITE
        - RILLET
        - SAGE_INTACCT
        - SALESFORCE
        - HUBSPOT
        - AVALARA
        - ANROK
        - STRIPE
      title: ExternalIdSourceType
    InvoiceExternalIdV3Dto:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ExternalIdSourceType'
          description: Type of external ID source
        id:
          type: string
          description: External identifier value
      required:
        - type
        - id
      title: InvoiceExternalIdV3Dto
    UpdateInvoiceExternalIdsDto:
      type: object
      properties:
        externalIds:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceExternalIdV3Dto'
          description: List of external identifiers
      required:
        - externalIds
      title: UpdateInvoiceExternalIdsDto
    Customers_IntegratorsApiCustomersController_updateInvoiceExternalIds_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        Customers_IntegratorsApiCustomersController_updateInvoiceExternalIds_Response_200
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{
  "externalIds": [
    {
      "type": "NETSUITE",
      "id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/external-ids"

payload = { "externalIds": [
        {
            "type": "NETSUITE",
            "id": "123e4567-e89b-12d3-a456-426614174000"
        }
    ] }
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/external-ids';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"externalIds":[{"type":"NETSUITE","id":"123e4567-e89b-12d3-a456-426614174000"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/external-ids"

	payload := strings.NewReader("{\n  \"externalIds\": [\n    {\n      \"type\": \"NETSUITE\",\n      \"id\": \"123e4567-e89b-12d3-a456-426614174000\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/external-ids")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"externalIds\": [\n    {\n      \"type\": \"NETSUITE\",\n      \"id\": \"123e4567-e89b-12d3-a456-426614174000\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/external-ids")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"externalIds\": [\n    {\n      \"type\": \"NETSUITE\",\n      \"id\": \"123e4567-e89b-12d3-a456-426614174000\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/external-ids', [
  'body' => '{
  "externalIds": [
    {
      "type": "NETSUITE",
      "id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/external-ids");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"externalIds\": [\n    {\n      \"type\": \"NETSUITE\",\n      \"id\": \"123e4567-e89b-12d3-a456-426614174000\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["externalIds": [
    [
      "type": "NETSUITE",
      "id": "123e4567-e89b-12d3-a456-426614174000"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/external-ids")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```